
use_safeglobals()
------------------------------------------------------------------------
-- Batk Class
-------------------------------------------------------------------------------

class "ItemActivationEffect"  (GameObject)
ItemActivationEffect.AttributeDescriptions = AttributeDescriptionList()

-------------------------------------------------------------------------------

function ItemActivationEffect:__init(clid)
	super("BITM")
end

local function OpenActivationEffect(menu, playerIndex,  effectObject)
	
	-- BORT - play sound?

end

-------------------------------------------------------------------------------
-- 
function ItemActivationEffect:OnEventItemActivationNotify(event, playerIndex, playerPortrait, pMenu)

	-- This menu blocks any interaction with the PlayerInfoMenu's or BattleGameMenu while 
	-- the item effect is active. We dont want any popups, accidental button presses, etc
	-- This menu also defines all animations
	SCREENS.ItemActivationMenu:Open()

	self.player = playerIndex
	self.menu = pMenu
	
	local world = self.menu:GetWorld()
	world:AddChild(self)
	local you = self.player
	local damage = event:GetAttribute("damage_amount")
	local defence = event:GetAttribute("defence_amount")
	local missed = event:GetAttribute("damage_missed")
	local health = event:GetAttribute("health_amount")
	local mana = event:GetAttribute("mana_amount")
	local manamatch = event:GetAttribute("manamatch_amount")
	local damageturn = event:GetAttribute("damageturn_amount")
	local critical = event:GetAttribute("critical")
	
	OpenActivationEffect(self.menu, playerIndex, self) -- Creates the view and starts the animations

	local itemUsed = SCREENS[event:GetAttribute("client")]:GetItemFromIndex(event:GetAttribute("item"))
	local itemAnimation = itemUsed:GetActivationAnimation()
	
	local backdrop = event:GetAttribute("backdrop")
	for i=0,1 do
		for j=0,1 do
			SCREENS.ItemActivationMenu:set_image(string.format("icon_level_backdrop%d%d", i, j), string.format("%s%d%d", backdrop, i, j))
		end
	end
	
	-- Add rumble if its a weapon attack.
	if damage > 0 then
		local rumble_intensity = 500 -- note this value is divided by 1000 to obtain a float.
		local rumble_time = 700
		if critical then
			rumble_intensity = 1000
			rumble_time = 1200
		end
		
		local playerOneRumbleEvent = GameEventManager:Construct("ItemRumble")
		playerOneRumbleEvent:SetAttribute("user",PlayerToUser(1))
		playerOneRumbleEvent:SetAttribute("intensity", rumble_intensity)
		playerOneRumbleEvent:SetAttribute("time", rumble_time)
		GameEventManager:SendDelayed(playerOneRumbleEvent, nil, GetGameTime() + 800)

		local playerTwoUser = PlayerToUser(2)
		if playerTwoUser ~= -1 then
			local playerTwoRumbleEvent = GameEventManager:Construct("ItemRumble")
			playerTwoRumbleEvent:SetAttribute("user", playerTwoUser)
			playerTwoRumbleEvent:SetAttribute("intensity", rumble_intensity)
			playerTwoRumbleEvent:SetAttribute("time", rumble_time)
			GameEventManager:SendDelayed(playerTwoRumbleEvent, nil, GetGameTime() + 800)
		end
	end
	
	if playerIndex == 1 then 
		SCREENS.ItemActivationMenu:set_image("icon_portrait_right", "")
		SCREENS.ItemActivationMenu:set_text_raw("str_critical_right", "")
		SCREENS.ItemActivationMenu:set_text_raw("str_damage_right", "")
	
		SCREENS.ItemActivationMenu:StartAnimation(string.format("%s_left", itemAnimation))
		SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_red")
		SCREENS.ItemActivationMenu:set_text_raw("str_weapon_left",string.upper(itemUsed:GetName()))
		SCREENS.ItemActivationMenu:set_image("icon_portrait_left", playerPortrait)
		
		if critical then
			SoundSystem.Play("pq2audio/board/fx_critical")
			SCREENS.ItemActivationMenu:set_text("str_critical_left", "[CRITICAL_ITEM]")
		else
			SCREENS.ItemActivationMenu:set_text_raw("str_critical_left", "")
		end
		
		if (damage > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_left",substitute(translate_text("[ITEM_DOES_DAMAGE_AMOUNT]"), damage))
		elseif missed then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_left",translate_text("[ITEM_MISSED]"))
		elseif (defence > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_left",substitute(translate_text("[ITEM_INCREASES_DEFENCE_AMOUNT]"), defence))
		elseif (health > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_left",substitute(translate_text("[ITEM_INCREASES_HEALTH_AMOUNT]"), health))
		elseif (mana > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_left",substitute(translate_text("[ITEM_INCREASES_MANA_AMOUNT]"), mana))
		elseif (manamatch > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_left",substitute(translate_text("[ITEM_INCREASES_MANAMATCH_AMOUNT]"), manamatch))
		elseif (damageturn > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_left",substitute(translate_text("[ITEM_INCREASES_DAMAGETURN_AMOUNT]"), damageturn))
		else
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_left", "")
		end
		
		if itemAnimation == "sword_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_sword_left", "img_combatbanner_sword")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing1_left", "img_combatbanner_sword_swing_1")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing2_left", "img_combatbanner_sword_swing_2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing3_left", "img_combatbanner_sword_swing_3")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing4_left", "img_combatbanner_sword_swing_4")
			SCREENS.ItemActivationMenu:set_image("icon_shine_left", "img_combatbanner_sword_shine")
			SoundSystem.Play("pq2audio/atk/atk_sword")
		elseif itemAnimation == "claw_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_claw_left", "img_combatbanner_claw")
			SoundSystem.Play("pq2audio/atk/atk_claw")
		elseif itemAnimation == "staff_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_staff_left", "img_combatbanner_staff")
			SoundSystem.Play("pq2audio/atk/atk_staff")
		elseif itemAnimation == "arrow_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_arrow1_left", "img_combatbanner_arrow")	
			SCREENS.ItemActivationMenu:set_image("icon_arrow2_left", "img_combatbanner_arrow")	
			SCREENS.ItemActivationMenu:set_image("icon_arrow3_left", "img_combatbanner_arrow")	
			SCREENS.ItemActivationMenu:set_image("icon_arrow4_left", "img_combatbanner_arrow")	
			SCREENS.ItemActivationMenu:set_image("icon_arrow5_left", "img_combatbanner_arrow")	
			SCREENS.ItemActivationMenu:set_image("icon_arrow6_left", "img_combatbanner_arrow")
			SCREENS.ItemActivationMenu:set_image("icon_arrow7_left", "img_combatbanner_arrow")
			SoundSystem.Play("pq2audio/atk/atk_arrow")
		elseif itemAnimation == "beak_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_beak_left", "img_combatbanner_beak")
			SoundSystem.Play("pq2audio/atk/atk_beak")
		elseif itemAnimation == "bite_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_bite_left", "img_combatbanner_bite")
			SoundSystem.Play("pq2audio/atk/atk_bite")
		elseif itemAnimation == "tentacle_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_tentacle1_left", "img_combatbanner_tentacle_1")	
			SCREENS.ItemActivationMenu:set_image("icon_tentacle2_left", "img_combatbanner_tentacle_2")	
			SCREENS.ItemActivationMenu:set_image("icon_tentacle3_left", "img_combatbanner_tentacle_3")
			SoundSystem.Play("pq2audio/atk/atk_tentacle")
		elseif itemAnimation == "dagger_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_dagger_left", "img_combatbanner_dagger")
			SoundSystem.Play("pq2audio/atk/atk_dagger")
		elseif itemAnimation == "mace_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_mace_left", "img_combatbanner_mace")
			SoundSystem.Play("pq2audio/atk/atk_mace")
		elseif itemAnimation == "shield_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_shield_left", "img_combatbanner_shield")
			SoundSystem.Play("pq2audio/atk/atk_shield")
		elseif itemAnimation == "axe_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_axe_left", "img_combatbanner_axe")
			SoundSystem.Play("pq2audio/atk/atk_axe")
		elseif itemAnimation == "pike_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_pike_left", "img_combatbanner_pike")
			SoundSystem.Play("pq2audio/atk/atk_polearm")
		elseif itemAnimation == "gun_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_gun_left", "img_combatbanner_gun")	
			SCREENS.ItemActivationMenu:set_image("icon_gun_shot_left", "img_combatbanner_gun_fire")	
			SCREENS.ItemActivationMenu:set_image("icon_gun_smoke1_left", "img_combatbanner_gun_smoke1")	
			SCREENS.ItemActivationMenu:set_image("icon_gun_smoke2_left", "img_combatbanner_gun_smoke2")
			SCREENS.ItemActivationMenu:set_image("icon_gun_smoke3_left", "img_combatbanner_gun_smoke3")
			SoundSystem.Play("pq2audio/atk/atk_gun")
		elseif itemAnimation == "club_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_club_left", "img_combatbanner_club")
			SoundSystem.Play("pq2audio/atk/atk_club")
		elseif itemAnimation == "greathammer_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_greathammer_left", "img_combatbanner_greathammer")
			SoundSystem.Play("pq2audio/atk/atk_greathammer")
		elseif itemAnimation == "glove_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_glove_left", "img_combatbanner_clawed_glove")
			SoundSystem.Play("pq2audio/atk/atk_clawedglove")
		elseif itemAnimation == "rapier_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_rapier1_left", "img_combatbanner_rapier1")
			SCREENS.ItemActivationMenu:set_image("icon_rapier2_left", "img_combatbanner_rapier2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing1_left", "img_combatbanner_sword_swing_1")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing2_left", "img_combatbanner_sword_swing_2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing3_left", "img_combatbanner_sword_swing_3")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing4_left", "img_combatbanner_sword_swing_4")
			SCREENS.ItemActivationMenu:set_image("icon_shine_left", "img_combatbanner_sword_shine")
			SoundSystem.Play("pq2audio/atk/atk_rapier")
		elseif itemAnimation == "towershield_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_towershield_left", "img_combatbanner_towershield")
			SoundSystem.Play("pq2audio/atk/atk_towershield")
		elseif itemAnimation == "kiteshield_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_kiteshield_left", "img_combatbanner_kiteshield")
			SoundSystem.Play("pq2audio/atk/atk_kiteshield")	
		elseif itemAnimation == "battleaxe_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_battleaxe_left", "img_combatbanner_battleaxe")
			SoundSystem.Play("pq2audio/atk/atk_axe")
		elseif itemAnimation == "katana_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_katana1_left", "img_combatbanner_katana1")
			SCREENS.ItemActivationMenu:set_image("icon_katana2_left", "img_combatbanner_katana2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing1_left", "img_combatbanner_sword_swing_1")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing2_left", "img_combatbanner_sword_swing_2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing3_left", "img_combatbanner_sword_swing_3")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing4_left", "img_combatbanner_sword_swing_4")
			SCREENS.ItemActivationMenu:set_image("icon_shine_left", "img_combatbanner_sword_shine")
			SoundSystem.Play("pq2audio/atk/atk_katana")
		elseif itemAnimation == "ninjato_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_ninjato1_left", "img_combatbanner_ninjato1")
			SCREENS.ItemActivationMenu:set_image("icon_ninjato2_left", "img_combatbanner_ninjato2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing1_left", "img_combatbanner_sword_swing_1")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing2_left", "img_combatbanner_sword_swing_2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing3_left", "img_combatbanner_sword_swing_3")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing4_left", "img_combatbanner_sword_swing_4")
			SCREENS.ItemActivationMenu:set_image("icon_shine_left", "img_combatbanner_sword_shine")
			SoundSystem.Play("pq2audio/atk/atk_katana")
		elseif itemAnimation == "acceleration_green_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_acceleration_potion_left", "img_combatbanner_acceleration_green")
			SoundSystem.Play("pq2audio/atk/atk_manaaccel")
		elseif itemAnimation == "acceleration_red_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_acceleration_potion_left", "img_combatbanner_acceleration_red")
			SoundSystem.Play("pq2audio/atk/atk_manaaccel")
		elseif itemAnimation == "acceleration_yellow_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_acceleration_potion_left", "img_combatbanner_acceleration_yellow")
			SoundSystem.Play("pq2audio/atk/atk_manaaccel")	
		elseif itemAnimation == "acceleration_blue_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_acceleration_potion_left", "img_combatbanner_acceleration_blue")
			SoundSystem.Play("pq2audio/atk/atk_manaaccel")
		elseif itemAnimation == "acceleration_purple_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_acceleration_potion_left", "img_combatbanner_acceleration_purple")
			SoundSystem.Play("pq2audio/atk/atk_manaaccel")
		elseif itemAnimation == "healing_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_healing_potion_left", "img_combatbanner_healthpotion")
			SoundSystem.Play("pq2audio/atk/atk_healing")
		elseif itemAnimation == "mana_green_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_mana_potion_left", "img_combatbanner_mana_green")
			SoundSystem.Play("pq2audio/atk/atk_manapotion")
		elseif itemAnimation == "mana_red_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_mana_potion_left", "img_combatbanner_mana_red")
			SoundSystem.Play("pq2audio/atk/atk_manapotion")
		elseif itemAnimation == "mana_yellow_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_mana_potion_left", "img_combatbanner_mana_yellow")
			SoundSystem.Play("pq2audio/atk/atk_manapotion")	
		elseif itemAnimation == "mana_blue_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_mana_potion_left", "img_combatbanner_mana_blue")
			SoundSystem.Play("pq2audio/atk/atk_manapotion")
		elseif itemAnimation == "mana_purple_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_left", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_mana_potion_left", "img_combatbanner_mana_purple")
			SoundSystem.Play("pq2audio/atk/atk_manapotion")
		elseif itemAnimation == "poison_acidic_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_left", "img_combatbanner_poison_acidic")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "poison_draining_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_left", "img_combatbanner_poison_draining")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "poison_sapping_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_left", "img_combatbanner_poison_sapping")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "poison_muting_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_left", "img_combatbanner_poison_muting")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "poison_dulling_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_left", "img_combatbanner_poison_dulling")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "poison_nerve_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_left", "img_combatbanner_poison_nerve")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "transforming_weapon_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_transforming_weapon_left", "img_combatbanner_transforming_weapon")
			SoundSystem.Play("pq2audio/atk/atk_transforming")
		elseif itemAnimation == "dragonsbreath_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_dragonsbreath1_left", "img_combatbanner_dragonsbreath1")
			SCREENS.ItemActivationMenu:set_image("icon_dragonsbreath2_left", "img_combatbanner_dragonsbreath2")
			SoundSystem.Play("pq2audio/atk/atk_dragonbreath")
		elseif itemAnimation == "vampirefangs_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_vampirefangs_left", "img_combatbanner_vampirefangs")
			SoundSystem.Play("pq2audio/atk/atk_vampirefangs")
		elseif itemAnimation == "polarbear_claw_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_polarbear_claw_left", "img_combatbanner_polarbear_claw")
			SoundSystem.Play("pq2audio/atk/atk_polarbearclaw")
		elseif itemAnimation == "boneclaw_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_boneclaw_left", "img_combatbanner_boneclaw")
			SoundSystem.Play("pq2audio/atk/atk_boneclaw")		
		elseif itemAnimation == "manarake_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_manarake_left", "img_combatbanner_mana_rake")
			SoundSystem.Play("pq2audio/atk/atk_claw")		
		elseif itemAnimation == "greatronfist_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_greatironfist1_left", "img_combatbanner_greatironfist1")
			SCREENS.ItemActivationMenu:set_image("icon_greatironfist2_left", "img_combatbanner_greatironfist2")
			SoundSystem.Play("pq2audio/atk/atk_greatironfist")	
		elseif itemAnimation == "tinybite_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_tinybite_left", "img_combatbanner_tinybite")
			SoundSystem.Play("pq2audio/atk/atk_tinybite")	

	
		-- Challenge Room Weapons, these only appear for the left side  
		elseif itemAnimation == "bucket_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_bucket_left", "img_combatbanner_waterbucket")
			SoundSystem.Play("pq2audio/atk/atk_waterbucket")
		elseif itemAnimation == "torch_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_torch_left", "img_combatbanner_torch")
			SoundSystem.Play("pq2audio/atk/atk_flamingtorch")
		elseif itemAnimation == "cape_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_cape_left", "img_combatbanner_cape")
			SoundSystem.Play("pq2audio/atk/atk_cape")
		elseif itemAnimation == "moltenmetal_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_moltenmetal_left", "img_combatbanner_molten_metal")
			SoundSystem.Play("pq2audio/atk/atk_moltenmetal")
		elseif itemAnimation == "hammer_of_righteous_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_hammer_of_righteous_left", "img_combatbanner_hammer_of_the_righteous")
			SoundSystem.Play("pq2audio/atk/atk_hammerofrighteous")			
	
		end
		
	else 
		SCREENS.ItemActivationMenu:set_image("icon_portrait_left", "")
		SCREENS.ItemActivationMenu:set_text_raw("str_critical_left", "")
		SCREENS.ItemActivationMenu:set_text_raw("str_damage_left", "")
		
		SCREENS.ItemActivationMenu:StartAnimation(string.format("%s_right", itemAnimation))
		SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_red") 
		SCREENS.ItemActivationMenu:set_text_raw("str_weapon_right",string.upper(itemUsed:GetName()))
		SCREENS.ItemActivationMenu:set_image("icon_portrait_right", playerPortrait)
		
		if critical then
			SoundSystem.Play("pq2audio/board/fx_critical")
			SCREENS.ItemActivationMenu:set_text("str_critical_right", "[CRITICAL_ITEM]")
		else
			SCREENS.ItemActivationMenu:set_text_raw("str_critical_right", "")
		end
		
		if (damage > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_right",substitute(translate_text("[ITEM_DOES_DAMAGE_AMOUNT]"), damage))
		elseif missed then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_right",translate_text("[ITEM_MISSED]"))
		elseif (defence > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_right",substitute(translate_text("[ITEM_INCREASES_DEFENCE_AMOUNT]"), defence))
		elseif (health > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_right",substitute(translate_text("[ITEM_INCREASES_HEALTH_AMOUNT]"), health))
		elseif (mana > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_right",substitute(translate_text("[ITEM_INCREASES_MANA_AMOUNT]"), mana))
		elseif (manamatch > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_right",substitute(translate_text("[ITEM_INCREASES_MANAMATCH_AMOUNT]"), manamatch))
		elseif (damageturn > 0) then
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_right",substitute(translate_text("[ITEM_INCREASES_DAMAGETURN_AMOUNT]"), damageturn))
		else
			SCREENS.ItemActivationMenu:set_text_raw("str_damage_right", "")
		end
		
		if itemAnimation == "sword_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_sword_right", "img_combatbanner_sword")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing1_right", "img_combatbanner_sword_swing_1")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing2_right", "img_combatbanner_sword_swing_2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing3_right", "img_combatbanner_sword_swing_3")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing4_right", "img_combatbanner_sword_swing_4")
			SCREENS.ItemActivationMenu:set_image("icon_shine_right", "img_combatbanner_sword_shine")
			SoundSystem.Play("pq2audio/atk/atk_sword")
		elseif itemAnimation == "claw_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_claw_right", "img_combatbanner_claw")
			SoundSystem.Play("pq2audio/atk/atk_claw")
		elseif itemAnimation == "staff_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_staff_right", "img_combatbanner_staff")
			SoundSystem.Play("pq2audio/atk/atk_staff")
		elseif itemAnimation == "arrow_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_arrow1_right", "img_combatbanner_arrow")	
			SCREENS.ItemActivationMenu:set_image("icon_arrow2_right", "img_combatbanner_arrow")	
			SCREENS.ItemActivationMenu:set_image("icon_arrow3_right", "img_combatbanner_arrow")	
			SCREENS.ItemActivationMenu:set_image("icon_arrow4_right", "img_combatbanner_arrow")	
			SCREENS.ItemActivationMenu:set_image("icon_arrow5_right", "img_combatbanner_arrow")	
			SCREENS.ItemActivationMenu:set_image("icon_arrow6_right", "img_combatbanner_arrow")	
			SCREENS.ItemActivationMenu:set_image("icon_arrow7_right", "img_combatbanner_arrow")
			SoundSystem.Play("pq2audio/atk/atk_arrow")
		elseif itemAnimation == "beak_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_beak_right", "img_combatbanner_beak")
			SoundSystem.Play("pq2audio/atk/atk_beak")
		elseif itemAnimation == "bite_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_bite_right", "img_combatbanner_bite")
			SoundSystem.Play("pq2audio/atk/atk_bite")
		elseif itemAnimation == "tentacle_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_tentacle1_right", "img_combatbanner_tentacle_1")	
			SCREENS.ItemActivationMenu:set_image("icon_tentacle2_right", "img_combatbanner_tentacle_2")	
			SCREENS.ItemActivationMenu:set_image("icon_tentacle3_right", "img_combatbanner_tentacle_3")
			SoundSystem.Play("pq2audio/atk/atk_tentacle")
		elseif itemAnimation == "dagger_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_dagger_right", "img_combatbanner_dagger")
			SoundSystem.Play("pq2audio/atk/atk_dagger")
		elseif itemAnimation == "mace_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_mace_right", "img_combatbanner_mace")
			SoundSystem.Play("pq2audio/atk/atk_mace")
		elseif itemAnimation == "shield_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_shield_right", "img_combatbanner_shield")
			SoundSystem.Play("pq2audio/atk/atk_shield")
		elseif itemAnimation == "axe_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_axe_right", "img_combatbanner_axe")
			SoundSystem.Play("pq2audio/atk/atk_axe")
		elseif itemAnimation == "pike_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_pike_right", "img_combatbanner_pike")
			SoundSystem.Play("pq2audio/atk/atk_polearm")
		elseif itemAnimation == "gun_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_gun_right", "img_combatbanner_gun")	
			SCREENS.ItemActivationMenu:set_image("icon_gun_shot_right", "img_combatbanner_gun_fire")	
			SCREENS.ItemActivationMenu:set_image("icon_gun_smoke1_right", "img_combatbanner_gun_smoke1")	
			SCREENS.ItemActivationMenu:set_image("icon_gun_smoke2_right", "img_combatbanner_gun_smoke2")
			SCREENS.ItemActivationMenu:set_image("icon_gun_smoke3_right", "img_combatbanner_gun_smoke3")
			SoundSystem.Play("pq2audio/atk/atk_gun")
		elseif itemAnimation == "club_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_club_right", "img_combatbanner_club")
			SoundSystem.Play("pq2audio/atk/atk_club")
		elseif itemAnimation == "greathammer_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_greathammer_right", "img_combatbanner_greathammer")
			SoundSystem.Play("pq2audio/atk/atk_greathammer")
		elseif itemAnimation == "glove_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_glove_right", "img_combatbanner_clawed_glove")
			SoundSystem.Play("pq2audio/atk/atk_clawedglove")
		elseif itemAnimation == "rapier_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_rapier1_right", "img_combatbanner_rapier1")
			SCREENS.ItemActivationMenu:set_image("icon_rapier2_right", "img_combatbanner_rapier2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing1_right", "img_combatbanner_sword_swing_1")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing2_right", "img_combatbanner_sword_swing_2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing3_right", "img_combatbanner_sword_swing_3")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing4_right", "img_combatbanner_sword_swing_4")
			SCREENS.ItemActivationMenu:set_image("icon_shine_right", "img_combatbanner_sword_shine")
			SoundSystem.Play("pq2audio/atk/atk_rapier")
		elseif itemAnimation == "towershield_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_towershield_right", "img_combatbanner_towershield")
			SoundSystem.Play("pq2audio/atk/atk_towershield")
		elseif itemAnimation == "kiteshield_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_kiteshield_right", "img_combatbanner_kiteshield")
			SoundSystem.Play("pq2audio/atk/atk_kiteshield")
		elseif itemAnimation == "battleaxe_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_battleaxe_right", "img_combatbanner_battleaxe")
			SoundSystem.Play("pq2audio/atk/atk_axe")
		elseif itemAnimation == "katana_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_katana1_right", "img_combatbanner_katana1")
			SCREENS.ItemActivationMenu:set_image("icon_katana2_right", "img_combatbanner_katana2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing1_right", "img_combatbanner_sword_swing_1")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing2_right", "img_combatbanner_sword_swing_2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing3_right", "img_combatbanner_sword_swing_3")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing4_right", "img_combatbanner_sword_swing_4")
			SCREENS.ItemActivationMenu:set_image("icon_shine_right", "img_combatbanner_sword_shine")
			SoundSystem.Play("pq2audio/atk/atk_katana")
		elseif itemAnimation == "ninjato_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_ninjato1_right", "img_combatbanner_ninjato1")
			SCREENS.ItemActivationMenu:set_image("icon_ninjato2_right", "img_combatbanner_ninjato2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing1_right", "img_combatbanner_sword_swing_1")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing2_right", "img_combatbanner_sword_swing_2")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing3_right", "img_combatbanner_sword_swing_3")
			SCREENS.ItemActivationMenu:set_image("icon_sword_swing4_right", "img_combatbanner_sword_swing_4")
			SCREENS.ItemActivationMenu:set_image("icon_shine_right", "img_combatbanner_sword_shine")
			SoundSystem.Play("pq2audio/atk/atk_katana")
		elseif itemAnimation == "acceleration_green_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_acceleration_potion_right", "img_combatbanner_acceleration_green")
			SoundSystem.Play("pq2audio/atk/atk_manaaccel")
		elseif itemAnimation == "acceleration_red_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_acceleration_potion_right", "img_combatbanner_acceleration_red")
			SoundSystem.Play("pq2audio/atk/atk_manaaccel")
		elseif itemAnimation == "acceleration_yellow_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_acceleration_potion_right", "img_combatbanner_acceleration_yellow")
			SoundSystem.Play("pq2audio/atk/atk_manaaccel")	
		elseif itemAnimation == "acceleration_blue_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_acceleration_potion_right", "img_combatbanner_acceleration_blue")
			SoundSystem.Play("pq2audio/atk/atk_manaaccel")
		elseif itemAnimation == "acceleration_purple_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_acceleration_potion_right", "img_combatbanner_acceleration_purple")
			SoundSystem.Play("pq2audio/atk/atk_manaaccel")
		elseif itemAnimation == "healing_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_healing_potion_right", "img_combatbanner_healthpotion")
			SoundSystem.Play("pq2audio/atk/atk_healing")
		elseif itemAnimation == "mana_green_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_mana_potion_right", "img_combatbanner_mana_green")
			SoundSystem.Play("pq2audio/atk/atk_manapotion")
		elseif itemAnimation == "mana_red_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_mana_potion_right", "img_combatbanner_mana_red")
			SoundSystem.Play("pq2audio/atk/atk_manapotion")
		elseif itemAnimation == "mana_yellow_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_mana_potion_right", "img_combatbanner_mana_yellow")
			SoundSystem.Play("pq2audio/atk/atk_manapotion")	
		elseif itemAnimation == "mana_blue_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_mana_potion_right", "img_combatbanner_mana_blue")
			SoundSystem.Play("pq2audio/atk/atk_manapotion")
		elseif itemAnimation == "mana_purple_attack" then
			SCREENS.ItemActivationMenu:set_font("str_damage_right", "font_msg_green")
			SCREENS.ItemActivationMenu:set_image("icon_mana_potion_right", "img_combatbanner_mana_purple")
			SoundSystem.Play("pq2audio/atk/atk_manapotion")
		elseif itemAnimation == "poison_acidic_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_right", "img_combatbanner_poison_acidic")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "poison_draining_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_right", "img_combatbanner_poison_draining")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "poison_sapping_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_right", "img_combatbanner_poison_sapping")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "poison_muting_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_right", "img_combatbanner_poison_muting")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "poison_dulling_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_right", "img_combatbanner_poison_dulling")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "poison_nerve_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_poison_right", "img_combatbanner_poison_nerve")
			SoundSystem.Play("pq2audio/atk/atk_poison")
		elseif itemAnimation == "transforming_weapon_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_transforming_weapon_right", "img_combatbanner_transforming_weapon")
			SoundSystem.Play("pq2audio/atk/atk_transforming")
		elseif itemAnimation == "dragonsbreath_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_dragonsbreath1_right", "img_combatbanner_dragons_breath1")
			SCREENS.ItemActivationMenu:set_image("icon_dragonsbreath2_right", "img_combatbanner_dragons_breath2")
			SoundSystem.Play("pq2audio/atk/atk_dragonbreath")
		elseif itemAnimation == "vampirefangs_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_vampirefangs_right", "img_combatbanner_vampirefangs")
			SoundSystem.Play("pq2audio/atk/atk_vampirefangs")
		elseif itemAnimation == "polarbear_claw_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_polarbear_claw_right", "img_combatbanner_polarbear_claw")
			SoundSystem.Play("pq2audio/atk/atk_polarbearclaw")
		elseif itemAnimation == "boneclaw_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_boneclaw_right", "img_combatbanner_boneclaw")
			SoundSystem.Play("pq2audio/atk/atk_boneclaw")
		elseif itemAnimation == "manarake_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_manarake_right", "img_combatbanner_mana_rake")
			SoundSystem.Play("pq2audio/atk/atk_claw")
		elseif itemAnimation == "greatironfist_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_greatironfist1_right", "img_combatbanner_greatironfist1")
			SCREENS.ItemActivationMenu:set_image("icon_greatironfist2_right", "img_combatbanner_greatironfist2")
			SoundSystem.Play("pq2audio/atk/atk_greatironfist")
		elseif itemAnimation == "tinybite_attack" then
			SCREENS.ItemActivationMenu:set_image("icon_tinybite_right", "img_combatbanner_tinybite")
			SoundSystem.Play("pq2audio/atk/atk_tinybite")
			
		end
	end	
		
end	

return ExportClass("ItemActivationEffect")